org.apache.tinkerpop.gremlin.neo4j.structure

## Class Neo4jGraph.Neo4jGraphFeatures.Neo4jEdgePropertyFeatures

- java.lang.Object
- - org.apache.tinkerpop.gremlin.neo4j.structure.Neo4jGraph.Neo4jGraphFeatures.Neo4jEdgePropertyFeatures

- All Implemented Interfaces:
    Graph.Features.DataTypeFeatures, Graph.Features.EdgePropertyFeatures, Graph.Features.FeatureSet, Graph.Features.PropertyFeatures
  Enclosing class:
    Neo4jGraph.Neo4jGraphFeatures

      public class Neo4jGraph.Neo4jGraphFeatures.Neo4jEdgePropertyFeatures
      extends Object
      implements Graph.Features.EdgePropertyFeatures

- - ### Field Summary

    - ### Fields inherited from interface org.apache.tinkerpop.gremlin.structure.Graph.Features.PropertyFeatures

      `FEATURE_PROPERTIES`

    - ### Fields inherited from interface org.apache.tinkerpop.gremlin.structure.Graph.Features.DataTypeFeatures

      `FEATURE_BOOLEAN_ARRAY_VALUES, FEATURE_BOOLEAN_VALUES, FEATURE_BYTE_ARRAY_VALUES, FEATURE_BYTE_VALUES, FEATURE_DOUBLE_ARRAY_VALUES, FEATURE_DOUBLE_VALUES, FEATURE_FLOAT_ARRAY_VALUES, FEATURE_FLOAT_VALUES, FEATURE_INTEGER_ARRAY_VALUES, FEATURE_INTEGER_VALUES, FEATURE_LONG_ARRAY_VALUES, FEATURE_LONG_VALUES, FEATURE_MAP_VALUES, FEATURE_MIXED_LIST_VALUES, FEATURE_SERIALIZABLE_VALUES, FEATURE_STRING_ARRAY_VALUES, FEATURE_STRING_VALUES, FEATURE_UNIFORM_LIST_VALUES`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `supportsMapValues()` Supports setting of a `Map` value.
    `boolean` | `supportsMixedListValues()` Supports setting of a `List` value.
    `boolean` | `supportsSerializableValues()` Supports setting of a Java serializable value.
    `boolean` | `supportsUniformListValues()` Supports setting of a `List` value.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.apache.tinkerpop.gremlin.structure.Graph.Features.PropertyFeatures

      `supportsProperties`

    - ### Methods inherited from interface org.apache.tinkerpop.gremlin.structure.Graph.Features.DataTypeFeatures

      `supportsBooleanArrayValues, supportsBooleanValues, supportsByteArrayValues, supportsByteValues, supportsDoubleArrayValues, supportsDoubleValues, supportsFloatArrayValues, supportsFloatValues, supportsIntegerArrayValues, supportsIntegerValues, supportsLongArrayValues, supportsLongValues, supportsStringArrayValues, supportsStringValues`

- - ### Method Detail

    - #### supportsMapValues

          public boolean supportsMapValues()

      Description copied from interface: `Graph.Features.DataTypeFeatures`
      Supports setting of a `Map` value. The assumption is that the `Map` can contain arbitrary serializable values that may or may not be defined as a feature itself.
      Specified by:
        `supportsMapValues` in interface `Graph.Features.DataTypeFeatures`

    - #### supportsMixedListValues

          public boolean supportsMixedListValues()

      Description copied from interface: `Graph.Features.DataTypeFeatures`
      Supports setting of a `List` value. The assumption is that the `List` can contain arbitrary serializable values that may or may not be defined as a feature itself. As this `List` is "mixed" it does not need to contain objects of the same type.
      Specified by:
        `supportsMixedListValues` in interface `Graph.Features.DataTypeFeatures`
      See Also:
        `Graph.Features.DataTypeFeatures.supportsMixedListValues()`

    - #### supportsSerializableValues

          public boolean supportsSerializableValues()

      Description copied from interface: `Graph.Features.DataTypeFeatures`
      Supports setting of a Java serializable value.
      Specified by:
        `supportsSerializableValues` in interface `Graph.Features.DataTypeFeatures`

    - #### supportsUniformListValues

          public boolean supportsUniformListValues()

      Description copied from interface: `Graph.Features.DataTypeFeatures`
      Supports setting of a `List` value. The assumption is that the `List` can contain arbitrary serializable values that may or may not be defined as a feature itself. As this `List` is "uniform" it must contain objects of the same type.
      Specified by:
        `supportsUniformListValues` in interface `Graph.Features.DataTypeFeatures`
      See Also:
        `Graph.Features.DataTypeFeatures.supportsMixedListValues()`

Copyright © 2013–2019 Apache Software Foundation. All rights reserved.